ghc-lib-parser-9.10.1.20250103: The GHC API, decoupled from GHC versions

Safe Haskell | Ignore
Language | GHC2021

GHC.Platform.Reg.Class

Description

An architecture independent description of a register's class.

Synopsis

- data RegClass
  - = RcInteger
  - | RcFloat
  - | RcDouble

# Documentation

data RegClass #

The class of a register. Used in the register allocator. We treat all registers in a class as being interchangeable.

Constructors

RcInteger |
RcFloat |
RcDouble |

#### Instances

Instances details

Uniquable RegClass # |
Instance details Defined in GHC.Platform.Reg.Class Methods getUnique :: RegClass -> Unique #
Outputable RegClass # |
Instance details Defined in GHC.Platform.Reg.Class Methods ppr :: RegClass -> SDoc #
Eq RegClass # |
Instance details Defined in GHC.Platform.Reg.Class Methods (==) :: RegClass -> RegClass -> Bool # (/=) :: RegClass -> RegClass -> Bool #